--- old/usr/src/lib/print/libpapi-common/common/papi.h	Wed Aug  8 20:59:35 2012
+++ new/usr/src/lib/print/libpapi-common/common/papi.h	Wed Aug  8 20:59:34 2012
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -30,8 +31,6 @@
 
 /* $Id: papi.h 161 2006-05-03 04:32:59Z njacobs $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <time.h>
 #include <stdio.h>
@@ -256,7 +255,7 @@
 
 /*	Attribute related	 */
 extern papi_status_t papiAttributeListAddValue(papi_attribute_t ***attrs,
-					int flags, char *name,
+					int flags, const char *name,
 					papi_attribute_value_type_t type,
 					papi_attribute_value_t *value);
 extern papi_status_t papiAttributeListAddString(papi_attribute_t ***attrs,
@@ -264,7 +263,7 @@
 extern papi_status_t papiAttributeListAddInteger(papi_attribute_t ***attrs,
 					int flags, char *name, int integer);
 extern papi_status_t papiAttributeListAddBoolean(papi_attribute_t ***attrs,
-					int flags, char *name, char boolean);
+					int flags, const char *name, char boolean);
 extern papi_status_t papiAttributeListAddRange(papi_attribute_t ***attrs,
 					int flags, char *name,
 					int lower, int upper);
@@ -311,7 +310,7 @@
 					void **iterator, char *name,
 					papi_metadata_t *vptr);
 extern papi_attribute_t *papiAttributeListFind(papi_attribute_t **list,
-					char *name);
+					const char *name);
 extern papi_attribute_t *papiAttributeListGetNext(papi_attribute_t **list,
 					void **iterator);
 extern void papiAttributeListFree(papi_attribute_t **attributes);
